
/**
 * Creates the css based upon the theme variable map.
 https://stackoverflow.com/questions/57815278/scss-theming-with-dynamic-variables

 "The block mixin approach"
 https://www.sitepoint.com/sass-theming-neverending-story/
 */
@mixin themify($themes: $themes) {
  @each $theme, $map in $themes {

    .theme-#{$theme} & {
      $theme-map: () !global;
      @each $key, $submap in $map {
        $value: map-get(map-get($themes, $theme), "#{$key}");
        $theme-map: map-merge($theme-map, ($key: $value)) !global;
      }

      @content;
      $theme-map: null !global;
    }

  }
}

@function themed($key) {
  @return map-get($theme-map, $key);
}
